Bug 1048980 - 7-bit check plugin not checking MODRDN operation
Summary: 7-bit check plugin not checking MODRDN operation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1034265
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 16:57 UTC by Jenny Severance
Modified: 2015-03-05 09:33 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1034265
Environment:
Last Closed: 2015-03-05 09:33:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Comment 2 Viktor Ashirov 2014-12-26 01:40:04 UTC
$ rpm -qa | grep 389
389-ds-base-debuginfo-1.3.3.1-10.el7.x86_64
389-ds-base-1.3.3.1-10.el7.x86_64
389-ds-base-libs-1.3.3.1-10.el7.x86_64

dn: cn=7-bit check,cn=plugins,cn=config
nsslapd-pluginEnabled: on
nsslapd-pluginarg0: uid

$ ldapmodify -D 'cn=Directory Manager' -w Secret123 -H ldap://localhost:389 -a  << EOF
> dn: uid=user1,ou=People,dc=example,dc=com
> objectClass: inetUser
> objectClass: top
> objectClass: person
> objectClass: organizationalPerson
> objectClass: inetOrgPerson
> cn: user1
> sn: user1
> uid: user1
> EOF
adding new entry "uid=user1,ou=People,dc=example,dc=com"


$ ldapmodify -D 'cn=Directory Manager' -w Secret123 -H ldap://localhost:389 <<EOF
> dn: uid=user1,ou=people,dc=example,dc=com
> changetype: modrdn
> newrdn: uid=useršľčť
> deleteoldrdn: true
> EOF
modifying rdn of entry "uid=user1,ou=people,dc=example,dc=com"
ldap_rename: Constraint violation (19)
	additional info: The value is not 7-bit clean: 


Marking as VERIFIED

Comment 4 errata-xmlrpc 2015-03-05 09:33:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.